CAL(1)

NAME
cal - displays a calendar

SYNOPSIS
cal [-smjy13] [[[day] month] year]

DESCRIPTION
Cal displays a simple calendar. If arguments are not specified, the current month is displayed. The options are as follows:

-1  Display single month output. (This is the default.)

-3  Display prev/current/next month output.

-s  Display Sunday as the first day of the week.

-m  Display Monday as the first day of the week.

-j  Display Julian dates (days one-based, numbered from January 1).

-y  Display a calendar for the current year.

-V  Display version information and exit.

A single parameter specifies the year (1 - 9999) to be displayed; note the year must be fully specified: “cal 89” will not display a calendar for 1989. Two parameters denote the month (1 - 12) and year. Three parameters denote the day (1-31), month and year, and the day will be highlighted if the calendar is displayed on a terminal. If no parameters are specified, the current month's calendar is displayed.

A year starts on Jan 1. The first day of the week is determined by the locale.

The Gregorian Reformation is assumed to have occurred in 1752 on the 3rd of September. By this time, most countries had recognized the reformation (although a few did not recognize it until the early 1900's.) Ten days following that date were eliminated by the reformation, so the calendar for that month is a bit unusual.

HISTORY
A cal command appeared in Version 6 AT&T UNIX.

AVAILABILITY
The cal command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.